<ion-header>
  <ion-navbar>
    <ion-title text-center>
      {{title}}
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="content_general">
<div *ngFor="let booking of listPeriodicBooking ; let i = index">
  <ion-card>
    <ion-card-header>
      {{booking.get_viagem().get_linha()}}
    </ion-card-header>
    <ion-card-content>
      <ion-row>
        <ion-col>
          {{textsingledate}} :
        </ion-col>

        <ion-col>
        {{booking.data}}
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col>
          {{textsinglseat}} :
        </ion-col>

        <ion-col>
          {{booking.get_assento().get_nome()}}
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col>
          {{textdeparturetime}} :
        </ion-col>

        <ion-col>
        <button ion-button round outline>{{booking.get_viagem().get_horario_partida()}}</button>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col>
          {{textarrivaltime}} :
        </ion-col>

        <ion-col>
         <button ion-button round outline>{{booking.get_viagem().get_horario_chegada()}} </button>
        </ion-col>
      </ion-row>

      <ion-row text-center>
        <ion-col col-auto>
          <button ion-button (click)="editSigleBooking(i,booking)"> <ion-icon name="create"> </ion-icon> </button>
        </ion-col>

        <ion-col col-auto>
         <button ion-button color="danger" (click)="deleteSingleBooking(i,booking)"> <ion-icon name="trash"> </ion-icon> </button>
        </ion-col>
      </ion-row>

    </ion-card-content>
  </ion-card>
</div>

</ion-content>
